> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query ZooKeeper to see whether it is up

> If ZooKeeper is up, it returns 'pong'



## OpenAPI

````yaml /api-reference/4.2/service-system.json get /system/ping/zk
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service system
servers:
  - url: /api/apollo/
security: []
tags:
  - name: system
paths:
  /system/ping/zk:
    get:
      tags:
        - 4.2 System API
      summary: Query ZooKeeper to see whether it is up
      description: If ZooKeeper is up, it returns 'pong'
      operationId: pingZK
      parameters:
        - name: timeout
          in: query
          description: A timeout value, in seconds
          required: false
          schema:
            type: integer
            format: int32
            default: 30
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: string
            text/plain:
              schema:
                type: string

````